Find Shipping Zone - Fabric

Find Shipping Zone

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/location-geographies/actions/find-shipping-zone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "countryCode": "US",
  "city": "San Francisco",
  "region": "North America",
  "postalCode": 94008,
  "attributes": {
    "key": "value"
  }
}
' 

Python

import requests

url = "https://api.fabric.inc/v3/location-geographies/actions/find-shipping-zone"

payload = {
    "countryCode": "US",
    "city": "San Francisco",
    "region": "North America",
    "postalCode": 94008,
    "attributes": { "key": "value" }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    countryCode: 'US',
    city: 'San Francisco',
    region: 'North America',
    postalCode: 94008,
    attributes: {key: 'value'}
  })
};

fetch('https://api.fabric.inc/v3/location-geographies/actions/find-shipping-zone', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/location-geographies/actions/find-shipping-zone",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'countryCode' => 'US',
    'city' => 'San Francisco',
    'region' => 'North America',
    'postalCode' => 94008,
    'attributes' => [
        'key' => 'value'
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/location-geographies/actions/find-shipping-zone"

payload := strings.NewReader("{\n  \"countryCode\": \"US\",\n  \"city\": \"San Francisco\",\n  \"region\": \"North America\",\n  \"postalCode\": 94008,\n  \"attributes\": {\n    \"key\": \"value\"\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Error Responses

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}

Response Example

{
  "geographyName": "US_Geo_PostalCode",
  "zoneName": "US_LOCATIONS",
  "preferredNetwork": "ShipToHome",
  "associatedNetworks": [
    "<string>"
  ]
}

Headers